%define		php_name	php%{?php_suffix}
%define		modname	stats
%define		status		stable
Summary:	%{modname} - extension with routines for statistical computation
Summary(pl.UTF-8):	%{modname} - rozszerzenie z funkcjami do wykonywania obliczeń statystycznych
Name:		%{php_name}-pecl-%{modname}
Version:	1.0.2
Release:	4
License:	PHP 3.01
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
# Source0-md5:	96f105be1e76fbc5dca424057066e4d8
URL:		http://pecl.php.net/package/stats/
BuildRequires:	%{php_name}-devel >= 3:5.0.0
BuildRequires:	rpmbuild(macros) >= 1.650
%{?requires_php_extension}
Requires:	php(core) >= 5.0.4
Provides:	php(%{modname}) = %{version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Extension that provides few dozens routines for statistical
computation, such as stats_absolute_deviation(), stats_covariance(),
harmonic_mean() and others.

In PECL status of this extension is: %{status}.

%description -l pl.UTF-8
To rozszerzenie dostarcza wiele różnych funkcji do wykonywania
obliczeń statystycznych, takich jak stats_absolute_deviation(),
stats_covariance(), harmonic_mean() i inne.

To rozszerzenie ma w PECL status: %{status}.

%prep
%setup -qc
mv %{modname}-%{version}/* .

%build
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_sysconfdir}/conf.d,%{php_extensiondir}}
install -p modules/%{modname}.so $RPM_BUILD_ROOT%{php_extensiondir}
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{modname}.ini
; Enable %{modname} extension module
extension=%{modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc CREDITS TODO
%doc tests
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{modname}.so
%changelog
* Mon Nov 25 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pecl-stats.git;a=log;h=AC-branch

* Sun Nov 24 2013 Elan Ruusamäe <glen@delfi.ee> 13ed2c5
provide php(extname) to really be supporting multiple php versions

* Fri Jun 21 2013 Elan Ruusamäe <glen@delfi.ee> 21155e8
support building for multiple php versions

* Mon May 23 2011 lisu <lisu@pld-linux.org> 8fcb3af
- rel 3

* Sun Apr 26 2009 Adam Gołębiowski <adamg@pld-linux.org> 73b0b3e
- license fixes Andrzej Mateja <amateja () pimpek.one.pl>

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> eaa08f7
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 1c34df8
- converted to UTF-8

* Tue Jan 02 2007 Elan Ruusamäe <glen@pld-linux.org> 4cfcccd
- use new php extension related macros

* Wed Dec 13 2006 Elan Ruusamäe <glen@pld-linux.org> 8623d66
- rel 2 (php 5.2.0)

* Thu Nov 02 2006 Elan Ruusamäe <glen@pld-linux.org> ba63b67
- BR rpmmacros for fixed %requires_php_extension

* Wed Jun 21 2006 Adam Gołębiowski <adamg@pld-linux.org> ce1128f
- updated to 1.0.2

* Sun Apr 23 2006 Adam Gołębiowski <adamg@pld-linux.org> 5aaf137
- updated to 1.0.1

* Sat Dec 24 2005 Elan Ruusamäe <glen@pld-linux.org> decee97
- rel 2 (rebuild with new php)

* Sun Nov 27 2005 Jakub Bogusz <qboosh@pld-linux.org> 33b6b3b
- pl fix

* Sat Nov 26 2005 Adam Gołębiowski <adamg@pld-linux.org> c5014ba
- new

